curl --request GET \
--url https://managexrapi.com/organizations/{orgId}/configurations/{configurationId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6qwM6FzJE4o708iqTpWc",
"name": "Trial",
"registrationCode": "f7GbHvH",
"deviceCount": 15,
"deviceExperience": "HOME_SCREEN",
"apps": [
{
"id": "01b8e51a-15d3-2sd3-a0d8-4c13ff633413",
"title": "Example App",
"packageName": "com.example.app",
"description": "Quest version of my example app",
"versionCode": 42,
"versionName": "1.0.0",
"versionLabel": "Release",
"apkSize": 1024,
"obbSize": 1024,
"categories": [
"Onboarding",
"Safety"
],
"hidden": true,
"forceInstall": false,
"autoGrantPermissions": true,
"expirationTimestamp": 1710566400,
"expirationBehavior": "DISABLE_APP"
}
],
"videos": [
{
"id": "2656f354-9723-43f5-9165-f4b2a8662ab0",
"title": "Example Video",
"videoType": "_360",
"description": "5 minute video of Patagonia",
"size": 1024,
"categories": [
"Field Trips",
"South America"
],
"hidden": false
}
],
"webxrLinks": [
{
"id": "1Gvlpc3JVGcynBrWSJwI",
"url": "http://www.thechinaguide.com/destination/great-wall-of-china",
"title": "Great wall of China",
"description": "A grand tour of the great wall of China, from the comfort of your seat.",
"categories": [
"Field Trips",
"Asia"
],
"hidden": true
}
],
"files": [
{
"id": "0uZN2kuoQhcZJglgVNTc",
"path": "/foo/bar/myFile.png",
"size": 1024
}
],
"wifiNetworks": [
{
"id": "1tZw3kuoOfcZMgbIs8",
"ssid": "SF_Office_123",
"nickname": "SF Office wifi main",
"type": "WPA_ENTERPRISE"
}
],
"kioskAppId": {
"available": "10707AB329856"
}
}Get Configuration
Retrieve a configuration by id
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The ID of the organization. Locate the orgId under Organization Settings > API Keys.
Unique identifier of the configuration
Response
A configuration object
Unique identifier of the configuration
"6qwM6FzJE4o708iqTpWc"
Name of the configuration
"Trial"
Configuration code (formerly known as Registration Code) for the configuration. Learn More
"f7GbHvH"
Number of devices using the configuration
15
Device experience set on the configuration
HOME_SCREEN, KIOSK, DEFAULT (Optional) List of all apps deployed on the configuration
Show child attributes
Show child attributes
(Optional) List of all videos deployed on the configuration
Show child attributes
Show child attributes
(Optional) List of WebXR Links deployed on the configuration
Show child attributes
Show child attributes
(Optional) List of files deployed on the configuration
Show child attributes
Show child attributes
(Optional) List of wifi networks deployed on the configuration
Show child attributes
Show child attributes
(Optional) The unique identifier of the Kiosk App, if one is present and the configuration uses deviceExperience = KIOSK.
{ "available": "10707AB329856" }